Skip to main content
PUT
Update an experiment

Authorizations

x-api-key
string
header
required

Your unique Avido API key

x-application-id
string
header
required

Your unique Avido Application ID

Path Parameters

id
string<uuid>
required

The unique identifier of the experiment

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Example:

"123e4567-e89b-12d3-a456-426614174000"

Body

application/json

Request body for updating an experiment

title
string

The title of the experiment

Required string length: 1 - 255
Example:

"Credit Card Block"

description
string

The experiment description

Example:

"Wants to block their credit card"

assignee
string · null · null

User ID of the person assigned to this experiment

Example:

"user_123456789"

inferenceStepIds
string[]

List of inference step ids used in the experiment

Example:
taskIds
string[]

List of task ids used in the experiment

Example:
status
enum<string>
Available options:
DRAFT,
COMPLETED,
ARCHIVED

Response

Successfully updated experiment

Response containing a single experiment

data
object
required